summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-03-20 22:17:27 +0000
committerKarl Berry <karl@freefriends.org>2020-03-20 22:17:27 +0000
commit71431945470df433ee68efa5a561f88d99aaba96 (patch)
tree61e986918987993abcad6d41d1e7bec45ffbddfd /Master/tlpkg/bin
parentc1324ac778f4d7b98abd5fda1bdc656288b8093d (diff)
tl-update-auto: better umask 022 to avoid later chmod.
tl-update-bindir: x86_64-darwin now special. tl-update-tlpdb: check if old tlpdb is non-empty, not just readable. tlpfiles: exit if no tlpdb can be read. git-svn-id: svn://tug.org/texlive/trunk@54441 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-auto2
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir4
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlpdb2
-rwxr-xr-xMaster/tlpkg/bin/tlpfiles5
4 files changed, 9 insertions, 4 deletions
diff --git a/Master/tlpkg/bin/tl-update-auto b/Master/tlpkg/bin/tl-update-auto
index b6f66f6b764..1783e3367f0 100755
--- a/Master/tlpkg/bin/tl-update-auto
+++ b/Master/tlpkg/bin/tl-update-auto
@@ -6,7 +6,7 @@
LC_ALL=C; export LC_ALL
PATH=/usr/local/gnu/bin:/usr/local/bin:$PATH; export PATH
-umask 0
+umask 022
# maybe someday we'll make real options.
chicken=echo
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index 2f78e24eacf..d9b022d4585 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -186,7 +186,9 @@ for tlplat in $tlplats; do
default_bin_loc=$download_loc
$grab http://sanibeltranquility.com/cygwin/$tlplat.tgz;;
x86_64-darwin)
- default_bin_loc=/home/koch/$tlplat.tar.xz;;
+ default_bin_loc=/home/koch/$tlplat.tar.xz
+ echo "fix me, now only modified programs, goodbye" >&2; exit 1;
+ ;;
x86_64-darwinlegacy)
default_bin_loc=$download_loc
$grab http://dl.contextgarden.net/build/texlive/$tlplat.tar.xz;;
diff --git a/Master/tlpkg/bin/tl-update-tlpdb b/Master/tlpkg/bin/tl-update-tlpdb
index fd6d110ca7d..3a7e00b1e29 100755
--- a/Master/tlpkg/bin/tl-update-tlpdb
+++ b/Master/tlpkg/bin/tl-update-tlpdb
@@ -134,7 +134,7 @@ sub main {
my $oldtlpdb = undef;
my $OLDTLPDB = "$opt_master/$DatabaseLocation";
- if (-r $OLDTLPDB) {
+ if (-s $OLDTLPDB) {
$oldtlpdb = TeXLive::TLPDB->new("root" => $opt_master);
}
if (!defined($oldtlpdb)) {
diff --git a/Master/tlpkg/bin/tlpfiles b/Master/tlpkg/bin/tlpfiles
index 7a73540b907..cd9d51e8ee8 100755
--- a/Master/tlpkg/bin/tlpfiles
+++ b/Master/tlpkg/bin/tlpfiles
@@ -1,6 +1,6 @@
#!/usr/bin/env perl
# $Id$
-# Copyright 2007-2015 Karl Berry.
+# Copyright 2007-2020 Karl Berry.
# This file is licensed under the GNU General Public License version 2
# or any later version.
#
@@ -54,6 +54,9 @@ sub main {
my $pkg = $ARGV[0];
my $tlpdb = TeXLive::TLPDB->new (root => $Master);
+ if (! defined $tlpdb) {
+ die "$0: no texlive.tlpdb under $Master, goodbye";
+ }
my $obj = $tlpdb->get_package ($pkg);
die "$0: no TeX Live package named $pkg in $Master.\n" if ! $obj;